# DataExchange
TKXCAFSchema
PXCAFDoc

# PXCAFDoc_SeqExplorerOfGraphNodeSequence Class Reference

`#include <PXCAFDoc_SeqExplorerOfGraphNodeSequence.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PXCAFDoc_SeqExplorerOfGraphNodeSequence (const Handle(PXCAFDoc_GraphNodeSequence)&S)
Standard_EXPORT Handle_PXCAFDoc_GraphNode | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const Handle(PXCAFDoc_GraphNode)&T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(PXCAFDoc_GraphNode)&T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(PXCAFDoc_GraphNode)&T)

## Private Attributes

Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence | CurrentItem
Standard_Integer | CurrentIndex
Handle_PXCAFDoc_GraphNodeSequence | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PXCAFDoc_SeqExplorerOfGraphNodeSequence::PXCAFDoc_SeqExplorerOfGraphNodeSequence | ( | const Handle(PXCAFDoc_GraphNodeSequence)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PXCAFDoc_SeqExplorerOfGraphNodeSequence::Contains | ( | const Handle(PXCAFDoc_GraphNode)& | T | ) |

Standard_EXPORT Standard_Integer PXCAFDoc_SeqExplorerOfGraphNodeSequence::Location | ( | const Standard_Integer | N,
|  | const Handle(PXCAFDoc_GraphNode)& | T
| ) |

Standard_EXPORT Standard_Integer PXCAFDoc_SeqExplorerOfGraphNodeSequence::Location | ( | const Standard_Integer | N,
|  | const Handle(PXCAFDoc_GraphNode)& | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PXCAFDoc_SeqExplorerOfGraphNodeSequence::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PXCAFDoc_SeqExplorerOfGraphNodeSequence::operator new | ( | size_t | size | ) | `[inline]`

void* PXCAFDoc_SeqExplorerOfGraphNodeSequence::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_PXCAFDoc_GraphNode PXCAFDoc_SeqExplorerOfGraphNodeSequence::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PXCAFDoc_SeqExplorerOfGraphNodeSequence::CurrentIndex `[private]`

Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence PXCAFDoc_SeqExplorerOfGraphNodeSequence::CurrentItem `[private]`

Handle_PXCAFDoc_GraphNodeSequence PXCAFDoc_SeqExplorerOfGraphNodeSequence::TheSequence `[private]`

The documentation for this class was generated from the following file:

- PXCAFDoc_SeqExplorerOfGraphNodeSequence.hxx